<%if @project%>
$('#tab-content-members').html('<%= escape_javascript(render :partial => 'projects/settings/members') %>');
<%elsif @course%>
$('#tab-content-members').html('<%= escape_javascript(render :partial => 'courses/settings/members') %>');
<%end%>

hideOnLoad();

<%if !@applied_members%>
  <% if @members.present? && @members.all? {|m| m.valid? } %>
    <% @members.each do |member| %>
      $("#member-<%= member.id %>").effect("highlight");
    <% end %>
  <% else %>
    <% errors = @members.collect {|m| m.errors.full_messages}.flatten.uniq.join(', ') %>
    alert('<%= raw(escape_javascript(l(:notice_failed_to_save_members, :errors => errors))) %>');
  <% end %>
<% end %>
